Bug 163412 - The startconsole script does not use proper shared library extension for HP-UX
The startconsole script does not use proper shared library extension for HP-UX
Status: MODIFIED
Product: Fedora Management Console
Classification: Fedora
Component: General (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nathan Kinder
Ben Levenson
: VerifiedUpstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-15 19:17 EDT by Nathan Kinder
Modified: 2015-01-04 18:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
CVS Diffs (883 bytes, patch)
2005-07-15 19:21 EDT, Nathan Kinder
no flags Details | Diff
CVS Diffs (887 bytes, patch)
2005-07-18 13:10 EDT, Nathan Kinder
no flags Details | Diff
CVS Commit (127 bytes, text/plain)
2005-07-18 14:08 EDT, Nathan Kinder
no flags Details

  None (edit)
Description Nathan Kinder 2005-07-15 19:17:53 EDT
The startconsole script is assuming that libraries are named with a ".so"
extension.  This causes it to think that the libjava and libjvm libraries don't
exist on HP-UX since they use a ".sl" extension.
Comment 1 Nathan Kinder 2005-07-15 19:21:45 EDT
Created attachment 116825 [details]
CVS Diffs

This changes the startconsole script to specifically look for both ".so" and
".sl" library extensions.
Comment 2 Nathan Kinder 2005-07-18 13:10:54 EDT
Created attachment 116879 [details]
CVS Diffs

Revised the existing diff to make the regex a bit more precise.
Comment 3 Nathan Kinder 2005-07-18 14:08:35 EDT
Created attachment 116884 [details]
CVS Commit

Checked into "console".  Reviewed by Noriko.

Note You need to log in before you can comment on or make changes to this bug.